#ifndef __MSYSTEMFUNCTIONS

#define __MSYSTEMFUNCTIONS


unsigned int  MGetSystemTime();
float         MSnapSystemTime();
float         GetSnapSystemTime(); // En segundos
int	          __cdecl MGetTempFileName(char* pcResult, char* pcFileHeader, char* pcExtension);

bool          MFileExists(char* pcCompletePathFilename);
bool          MFileExists(char* pcPath, char* pcFilename);

bool          MStartFileFind(char* pcPath, char* pcFilter);
bool          MGetFileCompletePath(char* pcPathFile);
bool          MGetFile(char* pcPath, char* pcFile);

void          MExtractFile(char* pcFile, const char* pcPathFile);
void          MExtractPath(char* pcPath, const char* pcPathFile);
void          MExtractExtension(char* pcExtension, char* pcPathFile);
void          MExtractBasename(char* pcBasename, const char* pcPathFile);
void          MExtractPathBasename(char* pcPathBasename, char* pcPathFile);

void          GenerateFullPathFileExtension(char* pcFinal, char* pcPath, char* pcFile, char* pcExtension);
void          MCleanPath(char* pcDestiny, const char* pcSource);

#endif